$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-e938ddda2cd75d7e52a3cf95dcea4cea83c238f5/rpcs3-v0.0.12-10922-e938ddda_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '0b50764b8ec3994a9e8cbbc5e58f55dd84b2dd25305247c38f61b7cfc7661b9d'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
